<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- 
####################################################################################
#  XSL name : section5
#  Version : R2.0.8.S04                                        
#  Intermediate release number : 027-20181122                                   
#  Last update : 14/04/2016                                                            
####################################################################################
 -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<!-- Pattern -->
	<xsl:template match="*[@FORM='3']//AWARD_OF_CONTRACT[not(CONTRACT_AWARD_DATE)] | *[@FORM='6']//AWARD_AND_CONTRACT_VALUE[not(DATE_OF_CONTRACT_AWARD)] | *[@FORM='6'][not(.//AWARD_AND_CONTRACT_VALUE)]" mode="R215">
		<xsl:variable name="ele">
			<xsl:choose>
				<xsl:when test="//@FORM='3'">CONTRACT_AWARD_DATE</xsl:when>
				<xsl:otherwise>DATE_OF_CONTRACT_AWARD</xsl:otherwise>
			</xsl:choose> missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R215'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R215"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R215"/>
	<xsl:template match="@*|node()" priority="-2" mode="R215">
		<xsl:apply-templates select="@*|*" mode="R215"/>
	</xsl:template>
	<xsl:template match="*[@FORM='13'][.//RESULT_CONTEST[not(.//PARTICIPANTS_NUMBER[number()>0])]]" mode="R216">
		<xsl:variable name="ele">PARTICIPANTS_NUMBER missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R216'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R216"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R216"/>
	<xsl:template match="@*|node()" priority="-2" mode="R216">
		<xsl:apply-templates select="@*|*" mode="R216"/>
	</xsl:template>
	<xsl:template match="*[@FORM='13'][.//RESULT_CONTEST[not(.//FOREIGN_PARTICIPANTS_NUMBER)]]" mode="R217">
		<xsl:variable name="ele">FOREIGN_PARTICIPANTS_NUMBER missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R217'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R217"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R217"/>
	<xsl:template match="@*|node()" priority="-2" mode="R217">
		<xsl:apply-templates select="@*|*" mode="R217"/>
	</xsl:template>
	<xsl:template match="*[@FORM='13']//RESULT_CONTEST" mode="R218">
		<xsl:choose>
			<xsl:when test="descendant::OFFICIALNAME[matches(text() ,'[\p{L}\p{N}]+')] and 
                descendant::ADDRESS[matches(text() ,'[\p{L}\p{N}]+')] and 
                descendant::TOWN[matches(text() ,'[\p{L}\p{N}]+')] and 
                descendant::EMAIL"/>
			<xsl:otherwise>
				<xsl:variable name="ele">NAME_ADDRESS_WINNER missing/incomplete</xsl:variable>
				<xsl:call-template name="msg">
					<xsl:with-param name="rule" select="'R218'"/>
					<xsl:with-param name="content" select="$ele"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:apply-templates select="@*|*" mode="R218"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R218"/>
	<xsl:template match="@*|node()" priority="-2" mode="R218">
		<xsl:apply-templates select="@*|*" mode="R218"/>
	</xsl:template>
	<xsl:template match="*[@FORM='3']//AWARD_OF_CONTRACT[not(OFFERS_RECEIVED_NUMBER)] | *[@FORM='6']//AWARD_AND_CONTRACT_VALUE[not(OFFERS_RECEIVED_NUMBER)] | *[@FORM='6'][not(.//AWARD_AND_CONTRACT_VALUE)]" mode="R219">
		<xsl:variable name="ele">OFFERS_RECEIVED_NUMBER missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R219'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R219"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R219"/>
	<xsl:template match="@*|node()" priority="-2" mode="R219">
		<xsl:apply-templates select="@*|*" mode="R219"/>
	</xsl:template>
	<xsl:template match="*[@FORM='3']//AWARD_OF_CONTRACT | *[@FORM='6']//AWARD_AND_CONTRACT_VALUE | *[@FORM='15']//AWARD_OF_CONTRACT_DEFENCE" mode="R220">
		<xsl:choose>
			<xsl:when test="descendant::OFFICIALNAME[matches(text() ,'[\p{L}\p{N}]+')] and 
			 descendant::TOWN[matches(text() ,'[\p{L}\p{N}]+')] and 
                descendant::COUNTRY and 
                (descendant::EMAIL|descendant::FAX|descendant::PHONE)"/>
			<xsl:otherwise>
				<xsl:variable name="ele">
					<xsl:choose>
						<xsl:when test="//@FORM='6'">AWARD_AND_CONTRACT_VALUE/CONTACT_DATA_WITHOUT_RESPONSIBLE_NAME_CHP</xsl:when>
						<xsl:otherwise>ECONOMIC_OPERATOR_NAME_ADDRESS</xsl:otherwise>
					</xsl:choose> missing/incomplete</xsl:variable>
				<xsl:call-template name="msg">
					<xsl:with-param name="rule" select="'R220'"/>
					<xsl:with-param name="content" select="$ele"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:apply-templates select="@*|*" mode="R220"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6'][not(.//AWARD_AND_CONTRACT_VALUE)]" mode="R220">
		<xsl:variable name="ele">AWARD_AND_CONTRACT_VALUE/CONTACT_DATA_WITHOUT_RESPONSIBLE_NAME_CHP missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R220'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R220"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R220"/>
	<xsl:template match="@*|node()" priority="-2" mode="R220">
		<xsl:apply-templates select="@*|*" mode="R220"/>
	</xsl:template>
	<xsl:template match="*[@FORM='3']//AWARD_OF_CONTRACT" mode="R222">
		<xsl:choose>
			<xsl:when test=".//NO_CONTRACT_LIKELY_SUB_CONTRACTED"/>
			<xsl:when test=".//EXCLUDING_VAT_VALUE|.//EXCLUDING_VAT_PRCT|.//UNKNOWN_VALUE"/>
			<xsl:otherwise>
				<xsl:variable name="ele">NO_CONTRACT_LIKELY_SUB_CONTRACTED or CONTRACT_LIKELY_SUB_CONTRACTED/* missing/incomplete</xsl:variable>
				<xsl:call-template name="msg">
					<xsl:with-param name="rule" select="'R222'"/>
					<xsl:with-param name="content" select="$ele"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:apply-templates select="@*|*" mode="R222"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R222"/>
	<xsl:template match="@*|node()" priority="-2" mode="R222">
		<xsl:apply-templates select="@*|*" mode="R222"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6']//AWARD_AND_CONTRACT_VALUE[not(NO_CONTRACT_LIKELY_SUB_CONTRACTED or CONTRACT_LIKELY_SUB_CONTRACTED)] | *[@FORM='6'][not(.//AWARD_AND_CONTRACT_VALUE)]" mode="R223">
		<xsl:variable name="ele">(NO_)CONTRACT_LIKELY_SUB_CONTRACTED missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R223'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R223"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R223"/>
	<xsl:template match="@*|node()" priority="-2" mode="R223">
		<xsl:apply-templates select="@*|*" mode="R223"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6']//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION[not(NUMBER_CONTRACTS_AWARDED)] | *[@FORM='6'][not(.//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION)]" mode="R224">
		<xsl:variable name="ele">NUMBER_CONTRACTS_AWARDED missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R224'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R224"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R224"/>
	<xsl:template match="@*|node()" priority="-2" mode="R224">
		<xsl:apply-templates select="@*|*" mode="R224"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6']//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION[not(.//VALUE_COST)] | *[@FORM='6'][not(.//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION)]" mode="R225">
		<xsl:variable name="ele">VALUE_COST missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R225'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R225"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R225"/>
	<xsl:template match="@*|node()" priority="-2" mode="R225">
		<xsl:apply-templates select="@*|*" mode="R225"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6']//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION[not(.//COMMUNITY_ORIGIN | .//NO_COMMUNITY_ORIGIN)] | *[@FORM='6'][not(.//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION)]" mode="R226">
		<xsl:variable name="ele">(NO_)COMMUNITY_ORIGIN missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R226'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R226"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R226"/>
	<xsl:template match="@*|node()" priority="-2" mode="R226">
		<xsl:apply-templates select="@*|*" mode="R226"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6']//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION[not(PRICE_AWARD_CRITERIA)] | *[@FORM='6'][not(.//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION)]" mode="R227">
		<xsl:variable name="ele">PRICE_AWARD_CRITERIA/@PRICE missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R227'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R227"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R227"/>
	<xsl:template match="@*|node()" priority="-2" mode="R227">
		<xsl:apply-templates select="@*|*" mode="R227"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6']//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION[not(CONTRACT_AWARDED|NO_CONTRACT_AWARDED)] | *[@FORM='6'][not(.//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION)]" mode="R228">
		<xsl:variable name="ele">(NO_)CONTRACT_AWARDED missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R228'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R228"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R228"/>
	<xsl:template match="@*|node()" priority="-2" mode="R228">
		<xsl:apply-templates select="@*|*" mode="R228"/>
	</xsl:template>
	<xsl:template match="*[@FORM='6']//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION[not(TENDERS_EXCLUDED|NO_TENDERS_EXCLUDED)] | *[@FORM='6'][not(.//MANDATORY_INFORMATION_NOT_INTENDED_PUBLICATION)]" mode="R229">
		<xsl:variable name="ele">(NO_)TENDERS_EXCLUDED missing</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R229'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R229"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R229"/>
	<xsl:template match="@*|node()" priority="-2" mode="R229">
		<xsl:apply-templates select="@*|*" mode="R229"/>
	</xsl:template>
	<xsl:template match="*[@FORM='15'][ not(.//@NOTICE='CONTRACTING_DEFENCE')][ .//SUBCONTRACT_DEFENCE/*]" mode="R230">
		<xsl:variable name="ele">@NOTICE='<xsl:value-of select=".//@NOTICE"/>' and <xsl:value-of select="local-name( .//SUBCONTRACT_AWARD_PART)"/>,<xsl:value-of select="local-name( .//SUBCONTRACT_SHARE)"/> inconsistent</xsl:variable>
		<xsl:call-template name="msg">
			<xsl:with-param name="rule" select="'R230'"/>
			<xsl:with-param name="content" select="$ele"/>
		</xsl:call-template>
		<xsl:apply-templates select="@*|*" mode="R230"/>
	</xsl:template>
	<xsl:template match="text()" priority="-1" mode="R230"/>
	<xsl:template match="@*|node()" priority="-2" mode="R230">
		<xsl:apply-templates select="@*|*" mode="R230"/>
	</xsl:template>
</xsl:stylesheet>
